Name:           bison
Version:        3.8.2
Release:        3
Summary:        A GNU general-purpose parser generator
License:        GPL-3.0-or-later AND GPL-3.0-or-later WITH Autoconf-exception-generic-3.0 AND GPL-3.0-or-later WITH Bison-exception-2.2 AND GPL-2.0-or-later AND GPL-2.0-or-later WITH Autoconf-exception-generic AND LGPL-3.0-or-later AND LGPL-2.1-or-later AND LGPL-2.0-or-later AND FSFULLR AND GFDL-1.3-or-later AND X11
URL:            https://www.gnu.org/software/bison/
Source0:        https://ftp.gnu.org/gnu/bison/bison-%{version}.tar.xz

Patch1:     backport-tests-make-it-easier-to-spot-failures.patch

BuildRequires:  gcc-c++ autoconf automake m4 flex
Requires: m4 >= 1.4
Provides:       bundled(gnulib)

%description
Bison is a general-purpose parser generator that converts an
annotated context-free grammar into a deterministic LR or
generalized LR (GLR) parser employing LALR(1) parser tables.
As an experimental feature, Bison can also generate IELR(1)
or canonical LR(1) parser tables. Once you are proficient with
Bison, you can use it to develop a wide range of language
parsers, from those used in simple desk calculators to complex
programming languages.

%package_help

%package devel
Summary:        -ly library for development using bison-generated parsers
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package contains libraries used by programs using bison-generated parsers.

%package lang
Summary:        Language files for bison.
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}
Obsoletes:      bison-runtime < %{version}-%{release}

%description lang
This package contains language support files and locale.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%check
%make_build check

%install
%make_install

# Remove unpackaged files.
rm -f %{buildroot}/%{_bindir}/yacc
rm -f %{buildroot}/%{_infodir}/dir
rm -f %{buildroot}/%{_mandir}/man1/yacc*
rm -f %{buildroot}/%{_docdir}/%{name}/{AUTHORS,COPYING,NEWS,README,THANKS,TODO}

%find_lang %{name}
%find_lang %{name}-runtime
%find_lang %{name}-gnulib

%files -f %{name}.lang -f %{name}-gnulib.lang
%license COPYING
%{_datadir}/aclocal/bison*.m4
%{_datadir}/bison
%{_bindir}/bison

%files help
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/*
%{_infodir}/bison*

%files devel
%{_libdir}/liby.a
%{_docdir}/bison/examples

%files lang -f %{name}-runtime.lang

%changelog
* Fri Aug 09 2024 Funda Wang <fundawang@yeah.net> - 3.8.2-3
- Cleanup spec

* Sat Oct 22 2022 yixiangzhike <yixiangzhike007@163.com> - 3.8.2-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:make it easier to spot tests failures

* Wed Dec 29 2021 wangchen <wangchen137@huawei.com> - 3.8.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 3.8.2

* Mon Apr 19 2021 panxiaohe <panxiaohe@huawei.com> - 3.7.4-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:use make macros to run check in parallel

* Thu Jan 21 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 3.7.4-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 3.7.4

* Wed Oct 28 2020 wangchen <wangchen137@huawei.com> - 3.7.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 3.7.3

* Thu Jul 16 2020 wangchen <wangchen137@huawei.com> - 3.6.4-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 3.6.4

* Sat Mar 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.5-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:exclude yacc.gz from help

* Tue Jan 7 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.5-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 3.5

* Wed Oct 16 2019 shenyangyang <shenyangyang4@huawei.com> - 3.0.5-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded files that conflicts with byacc package

* Sun Sep 29 2019 shenyangyang <shenyangyang4@huawei.com> - 3.0.5-3
- Type:NA
- ID:NA
- SUG:NA
- DESC:move directory of license file

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0.5-2
- Package Init
